#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define		module	pycairo
Summary:	Python 3 Cairo bindings
Summary(pl.UTF-8):	Dowiązania Pythona 3 dla Cairo
Name:		python3-%{module}
Version:	1.20.1
Release:	2
License:	LGPL v2.1 or MPL v1.1
Group:		Libraries/Python
#Source0Download: https://github.com/pygobject/pycairo/releases
Source0:	https://github.com/pygobject/pycairo/releases/download/v%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	fa88a28cadbfb34192fe743d32c0ee33
URL:		https://www.cairographics.org/
BuildRequires:	cairo-devel >= 1.15.10
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.6
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-hypothesis
BuildRequires:	python3-numpy
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-Sphinx
BuildRequires:	python3-sphinx_rtd_theme
%endif
Requires:	python3-libs >= 1:3.6
Requires:	cairo >= 1.15.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 3 Cairo bindings.

%description -l pl.UTF-8
Dowiązania Pythona 3 dla Cairo.

%package devel
Summary:	Development files for Python 3 pycairo
Summary(pl.UTF-8):	Pliki programistyczne pycairo dla Pythona 3
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.15.10
Requires:	python3-devel >= 1:3.6

%description devel
Development files for Python 3 pycairo.

%description devel -l pl.UTF-8
Pliki programistyczne pycairo dla Pythona 3.

%package apidocs
Summary:	API documentation for Python Cairo bindings
Summary(pl.UTF-8):	Dokumentacja API dla wiązań Pythona do Cairo
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python Cairo bindings.

%description apidocs -l pl.UTF-8
Dokumentacja API dla wiązań Pythona do Cairo.

%package examples
Summary:	Example programs using Python Cairo bindings
Summary(pl.UTF-8):	Przykładowe programy w Pythonie używające Cairo
Group:		Libraries/Python
BuildArch:	noarch

%description examples
Example programs using Python Cairo bindings.

%description examples -l pl.UTF-8
Przykładowe programy w Pythonie używające Cairo.

%prep
%setup -q -n pycairo-%{version}

%build
%py3_build %{?with_tests:test}

%if %{with doc}
%{__make} -C docs
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

%py3_install

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README.rst
%dir %{py3_sitedir}/cairo
%attr(755,root,root) %{py3_sitedir}/cairo/_cairo.cpython-*.so
%{py3_sitedir}/cairo/__init__.py
%{py3_sitedir}/cairo/__init__.pyi
%{py3_sitedir}/cairo/__pycache__
%{py3_sitedir}/cairo/include
%{py3_sitedir}/cairo/py.typed
%{py3_sitedir}/pycairo-%{version}-py*.egg-info

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/pycairo
%{_includedir}/pycairo/py3cairo.h
%{_pkgconfigdir}/py3cairo.pc

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/{_images,_static,reference,*.html,*.js}
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Mar 31 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pycairo.git;a=log;h=auto/th/python3-pycairo-1.20.1-2

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 00502a2
- rebuild with tests and docs

* Fri Mar 04 2022 Jakub Bogusz <qboosh@pld-linux.org> e841d87
- fixed Name

* Fri Mar 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 00e40d9
- updated to 1.20.1 for python 3.6+

* Fri Mar 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 538c839
- updated python3 package from python-pycairo.spec

* Wed Oct 10 2018 Jakub Bogusz <qboosh@pld-linux.org> c85aa82
- see python-pycairo.spec

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ef2fdb
- release 2 (by relup.sh)

* Sat Mar 24 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 7b54c18
- Update to 1.16.3

* Sat Oct 28 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e894d14
- Update to 1.15.3

* Sat Jan 14 2017 Jakub Bogusz <qboosh@pld-linux.org> 2fe436c
- adjusted get_python_lib in setup patch to use prefix=

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c5b7e9f
- python 3.6
- release 10 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 536e173
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 31245ea
- release 9 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> aed9c0b
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 396f426
- release 8 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 21a51ac
- python 3.5 rebuild
- release 7 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 36a04c1
- x32 rebuild
- release 6 (by relup.sh)

* Sun Jan 04 2015 Jan Rękorajski <baggins@pld-linux.org> 984b1a5
- fix build on x32

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c08db5
- python 3.4
- release 5 (by relup.sh)

* Tue Jul 16 2013 Marcin Krol <hawk@tld-linux.org> f81391f
- added setup.py to fix build issues when using bundled waf:
  - .so is now properly tagged with SOABI when built with python >= 3.3.1
  - modules are compiled to __pycache__ (clears TODO)
- release 4

* Tue Jul 16 2013 Marcin Krol <hawk@tld-linux.org> 3678fc7
- restored setup.py from upstream git + changes making it work properly

